openhatch

Issue636

Title Missions checkmarks don't reset when you click to reset a mission you've completed
Milestone 0.11.12 Priority bug
Waiting On Status resolved
Superseder Nosy List aldeka, paulproteus
Assigned To paulproteus Keywords

Created on 2011-12-04.22:30:13 by aldeka, last changed 2012-01-02.17:19:22 by paulproteus.

Messages
msg2845 (view) Author: paulproteus Date: 2012-01-02.17:19:21
The 5be34c515d54b71f53c1dac5d249f92f8e901971 merge resolves this issue (as of
December 14).
msg2813 (view) Author: paulproteus Date: 2011-12-14.17:24:05
This is fixed in origin/develop.

Will deploy pending consensus on the OH-Dev topic about how to use merge vs. rebase.
msg2812 (view) Author: aldeka Date: 2011-12-14.00:04:43
That sounds accurate. I actually hadn't noticed that the checkmarks went to faded on subsequent 
loadings of the page. (There's another bug to get rid of the faded-checkmarks UI terribleness, of 
course.)
msg2811 (view) Author: paulproteus Date: 2011-12-13.22:54:27
Instructions to reproduce:

* Have JS enabled in your browser
* Go to http://openhatch.org/missions/tar
* Complete all the sections
* Go back to http://openhatch.org/missions/tar
* Click the JavaScript-y link to reset the mission's state
* Notice the checkmarks are still dark green

Ta-da, the bug.

However, for what it's worth: If you reload the page, the checkmarks are
properly not dark green anymore.

Karen, if you agree with this assessment of the bug, I know the fix (to adjust
the onclick handler in JS to mark the checkboxes as pale by changing their CSS
class).
msg2782 (view) Author: aldeka Date: 2011-12-04.22:30:13
Even after you click reset, the steps of the mission are still checked off! Let's fix that.
History
Date User Action Args
2012-01-02 17:19:22paulproteussetstatus: chatting -> resolved
messages: + msg2845
2011-12-14 17:24:09paulproteussetmessages: + msg2813
2011-12-14 00:04:48aldekasetmessages: + msg2812
2011-12-13 22:54:31paulproteussetstatus: unread -> chatting
assignedto: paulproteus
messages: + msg2811
2011-12-10 21:32:16paulproteussetmilestone: 0.11.12
2011-12-04 22:30:13aldekacreate